MONGODUMP(1)

NAME
mongodump - the Mongo dump tool

SYNOPSIS
mongodump [OPTIONS]

DESCRIPTION

mongodump is a tool to output a binary representation of a database. It is mostly used for doing hot backups of a database.

OPTIONS

--help
    show usage information

--version
    show version information

-h, --host HOST
    server to connect to (default HOST=localhost)

server port. Can also use --host hostname:port

--ipv6
    enable IPv6 support (disabled by default)

-u|--username USERNAME
    specify user to log in as

-p|--password PASSWORD
    specify password of user (notice there is no space)

-d, --db DATABASE
    database to use

-c, --c COLLECTION
    collection to use

-o, --out DIRECTORY
    output directory or - for stdout.

--dbpath PATH
    directly access mongod data files in this path, instead of connecting to a mongod instance

--directoryperdb
    if dbpath specified, each db is in a separate directory

--query
    JSON query filter

--oplog
    Use oplog for point-in-time snapshotting

--repair
    try to recover a crashed database (needs --dbpath)

COPYRIGHT

Copyright 2007-2011 10gen

SEE ALSO
For more information, please refer to the MongoDB wiki, available at http://www.mongodb.org.

AUTHOR
Kristina Chodorow